cascading.flow.tez.util

## Class TezUtil

- java.lang.Object
- - cascading.flow.tez.util.TezUtil

-     public class TezUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `addResource(java.util.Map<java.lang.String,LocalResource> localResources, java.util.Map<java.lang.String,java.lang.String> environment, java.lang.String fileName, FileStatus stats, Path fullPath, LocalResourceType type)`
    `static java.util.Map<Path,Path>` | `addToClassPath(Configuration config, java.lang.String stagingRoot, java.lang.String resourceSubPath, java.util.Collection<java.lang.String> classpath, LocalResourceType resourceType, java.util.Map<java.lang.String,LocalResource> localResources, java.util.Map<java.lang.String,java.lang.String> environment)`
    `static JobConf` | `asJobConf(Configuration configuration)` Attempting to localize all new JobConf calls
    `static org.apache.tez.dag.api.TezConfiguration` | `createTezConf(java.util.Map<java.lang.Object,java.lang.Object> properties, org.apache.tez.dag.api.TezConfiguration defaultJobconf)`
    `static UserGroupInformation` | `getCurrentUser()`
    `static java.lang.String` | `getEdgeSinkID(org.apache.tez.runtime.api.LogicalOutput output, Configuration configuration)`
    `static java.lang.String` | `getEdgeSourceID(org.apache.tez.runtime.api.LogicalInput input, Configuration configuration)`
    `static Configuration` | `getInputConfiguration(org.apache.tez.runtime.api.LogicalInput input)`
    `static Configuration` | `getOutputConfiguration(org.apache.tez.runtime.api.LogicalOutput output)`
    `static void` | `setMRProperties(org.apache.tez.runtime.api.ProcessorContext context, Configuration config, boolean isMapperOutput)`
    `static void` | `setSourcePathForSplit(org.apache.tez.mapreduce.input.MRInput input, org.apache.tez.mapreduce.lib.MRReader reader, Configuration configuration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TezUtil

          public TezUtil()

  - ### Method Detail

    - #### asJobConf

          public static JobConf asJobConf(Configuration configuration)

      Attempting to localize all new JobConf calls
      Parameters:
        `configuration` -
      Returns:

    - #### createTezConf

          public static org.apache.tez.dag.api.TezConfiguration createTezConf(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                                              org.apache.tez.dag.api.TezConfiguration defaultJobconf)

    - #### getCurrentUser

          public static UserGroupInformation getCurrentUser()

    - #### getEdgeSourceID

          public static java.lang.String getEdgeSourceID(org.apache.tez.runtime.api.LogicalInput input,
                                         Configuration configuration)

    - #### getEdgeSinkID

          public static java.lang.String getEdgeSinkID(org.apache.tez.runtime.api.LogicalOutput output,
                                       Configuration configuration)

    - #### getInputConfiguration

          public static Configuration getInputConfiguration(org.apache.tez.runtime.api.LogicalInput input)

    - #### getOutputConfiguration

          public static Configuration getOutputConfiguration(org.apache.tez.runtime.api.LogicalOutput output)

    - #### setSourcePathForSplit

          public static void setSourcePathForSplit(org.apache.tez.mapreduce.input.MRInput input,
                                   org.apache.tez.mapreduce.lib.MRReader reader,
                                   Configuration configuration)

    - #### addToClassPath

          public static java.util.Map<Path,Path> addToClassPath(Configuration config,
                                                java.lang.String stagingRoot,
                                                java.lang.String resourceSubPath,
                                                java.util.Collection<java.lang.String> classpath,
                                                LocalResourceType resourceType,
                                                java.util.Map<java.lang.String,LocalResource> localResources,
                                                java.util.Map<java.lang.String,java.lang.String> environment)

    - #### addResource

          protected static void addResource(java.util.Map<java.lang.String,LocalResource> localResources,
                         java.util.Map<java.lang.String,java.lang.String> environment,
                         java.lang.String fileName,
                         FileStatus stats,
                         Path fullPath,
                         LocalResourceType type)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setMRProperties

          public static void setMRProperties(org.apache.tez.runtime.api.ProcessorContext context,
                             Configuration config,
                             boolean isMapperOutput)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.